## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# select1st Template Struct Reference

Functor to retrieve the key of a key-value pair in a map, used in STL iteration algorithms. More...

`#include <STLHelper.hpp>`

Inheritance diagram for select1st

Collaboration diagram for select1st:

List of all members.

## Public Types

- typedef std::unary_function<
  PairType, typename PairType::first_type> BaseClassType
- typedef BaseClassType::result_type result_type
- typedef BaseClassType::argument_type argument_type
- typedef PairType value_type

## Public Methods

- result_type operator() (const argument_type& thePair) const
    Retrieve the key of a key-value pair. More...

## Detailed Description

### template<class PairType> template struct select1st

Functor to retrieve the key of a key-value pair in a map, used in STL iteration algorithms.

## Member Typedef Documentation

template<classPairType>
typedef std::unary_function<PairType, typename PairType::first_type> select1st<PairType>::BaseClassType

template<classPairType>
typedef BaseClassType::argument_type select1st<PairType>::argument_type

template<classPairType>
typedef BaseClassType::result_type select1st<PairType>::result_type

template<classPairType>
typedef PairType select1st<PairType>::value_type

## Member Function Documentation

template<classPairType>
result_type select1st<PairType>::operator() ( | const argument_type & thePair ) const`[]`

Retrieve the key of a key-value pair.

Parameters:

  thePair | key-value pair

Returns:
  key

The documentation for this struct was generated from the following file:

- STLHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.